//////////////////////////////////////////////////////////////////////////////////////////////////
// 
// File: Bonus.cpp
// 
// Author: Petar Bajic, MPE (C) All Rights Reserved
//
// Homepage: www.mystic-peanut.com
//
// Date: January, 16 2007.
//
// Desc: CBonus is empty template game mode. Bonus level in game can be added with this class.
//          
//////////////////////////////////////////////////////////////////////////////////////////////////

#include "Bonus.h"

CBonus::CBonus()
{

}

CBonus::~CBonus()
{
}

bool CBonus::Init(LPDIRECT3DDEVICE9 pd3dDevice)
{

	return true;
}

bool CBonus::OnEvent(LPDIRECT3DDEVICE9 pd3dDevice, HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam, int* code)
{
	// Current mouse position
	int iMouseX = (int)LOWORD(lParam);
	int iMouseY = (int)HIWORD(lParam);

    switch( msg )
    {
		case WM_LBUTTONDOWN:
		{
			//Tools
			if((iMouseX > 64)&&(iMouseY < 4*64 + 100))
			{
				//picked->index = toolPicker->getSelectedTool(iMouseY);
				//picked->group = 40;
				return true;
			}
		}
		case WM_MOUSEMOVE:
			{
				
			}
	}

	return false;
}

void CBonus::OnRender(LPDIRECT3DDEVICE9 pd3dDevice)
{
}

void CBonus::OnFrameMove(LPDIRECT3DDEVICE9 pd3dDevice, double fTime, float fElapsedTime)
{
}
